/*
 * Project name:
     ADC_on LEDs (Display the result of ADC on Lcd display)
 * Copyright:
     (c) Mikroelektronika, 2008.
 * Revision History:
     20080930:
       - initial release;
 * Description:
      A simple example of using the ADC library.
      ADC results are displayed on PORTB and PORTC.
 * Test configuration:
     MCU:             ATmega128
     Dev.Board:       BigAVR5A
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
 * NOTES:
     - Turn on PORTB and PORTC diodes.
     - Select ADC module reference by placing jumper J3 in proper position.
     - To simulate analog input on ADC channel 2, use on-board potentiometer P1 (or P2)
       by connecting jumper J18 (or J19) to MCU pin corresponding to ADC channel 2 input.
 */

#include <built_in.h>
unsigned int adc_rd;

void main() {

  DDRB = 0xFF;               // Set PORTB as output
  DDRC = 0xFF;               // Set PORTC as output
  
  while (1) {
    adc_rd = ADC_Read(2);    // get ADC value from 2nd channel
    PORTB = adc_rd;          // display adc_rd[7..0]
    PORTC = Hi(adc_rd);      // display adc_rd[11..8]
  }
}
