/*
 * Project name:
     LED_Blinking (Simple 'Hello World' project)
 * Copyright:
     (c) Mikroelektronika, 2008.
 * Revision History:
     20080930:
       - initial release;
 * Description:
     This is a simple 'Hello World' project. It turns on/off diodes connected to
     PORTA, PORTB, PORTC and PORTD. 
 * Test configuration:
     MCU:             ATmega128
     Dev.Board:       BigAVR2
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
 * NOTES:
     - Make sure you turn ON the PORT LEDs at SW1. (board specific)
*/
char counter;

void wait() {
  Delay_ms(100);
}

void main() {
  DDRA = 0xFF;     // set direction to be output
  DDRB = 0xFF;     // set direction to be output
  DDRC = 0xFF;     // set direction to be output
  DDRD = 0xFF;     // set direction to be output
  PORTA = 0x00;    // turn OFF the PORTA leds
  PORTB = 0x00;    // turn OFF the PORTB leds
  PORTC = 0x00;    // turn OFF the PORTC leds
  PORTD = 0x00;    // turn OFF the PORTD leds
  
  while (1) {
    for (counter=0; counter<8; counter++){
      PORTA |= 1 << counter;
      PORTB |= 1 << counter;
      PORTC |= 1 << counter;
      PORTD |= 1 << counter;
 
      wait();
    }
       
    counter = 0;
    while (counter<8) {
      PORTA &= ~(1 << counter);
      PORTB &= ~(1 << counter);
      PORTC &= ~(1 << counter);
      PORTD &= ~(1 << counter);
 
      wait();
      counter++;
    }
  }
}
