/*
 * Project name:
     UART (Simple usage of UART module library functions)
 * Copyright:
     (c) Mikroelektronika, 2008.
 * Revision History:
     20080930:
       - initial release;
 * Description:
     This code demonstrates how to use uart library routines. Upon receiving
     data via RS232, MCU immediately sends it back to the sender.
 * Test configuration:
     MCU:             ATmega128
     Dev.Board:       BigAVR2
     Oscillator:      External Clock 8.0000 MHz
     Ext. Modules:    -                                                                          
     SW:              mikroC PRO for AVR
 * NOTES:
     - RX and TX UART switches on BigAVR2 should be turned On.
*/

char uart_rd;

void main() {

  UART2_Init(9600);               // Initialize UART module at 9600 bps
  Delay_ms(100);                  // Wait for UART module to stabilize

  while (1) {                     // Endless loop
   if (UART2_Data_Ready()) {     // If data is received,
     uart_rd = UART2_Read();     //   read the received data,
     UART2_Write(uart_rd);       //   and send data via UART
    }
  }
}
